Skip to main content
POST
/
api
/
v0
/
companies
/
{company_id}
/
managers
Promotes a company user to a company manager.
curl --request POST \
  --url https://api.example.com/api/v0/companies/{company_id}/managers \
  --header 'Content-Type: application/json' \
  --data '
{
  "userRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/api/v0/companies/{company_id}/managers"

payload = { "userRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({userRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.example.com/api/v0/companies/{company_id}/managers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

company_id
string<uuid>
required

Body

application/json

Promote a member to manager.

userRef
required

Reference to a resource, either by id or handle (username).

Response

User successfully promoted to manager